FROM ubuntu:16.04
RUN apt-get update -yqq \
&& apt-get install -y -qq \
# Build Tools
  cmake \
  intltool \
  pkg-config \
  python-dev \
  libtool \
  ccache \
# Libraries
  libart-2.0-dev \
  libaspell-dev \
  libboost-dev \
  libcdr-dev \
  libgc-dev \
  libgdl-3-dev \
  libglib2.0-dev \
  libgnomevfs2-dev \
  libgsl-dev \
  libgtk-3-dev \
  libgtkmm-3.0-dev \
  libgtkspell-dev \
  liblcms2-dev \
  libmagick++-dev \
  libpango1.0-dev \
  libpng12-dev \
  libpoppler-glib-dev \
  libpoppler-private-dev \
  libpopt-dev \
  libpotrace-dev \
  librevenge-dev \
  libsigc++-2.0-dev \
  libvisio-dev \
  libwpg-dev \
  libxml-parser-perl \
  libxml2-dev \
  libxslt1-dev \
  libyaml-dev \
  python-lxml \
  zlib1g-dev \
# Test Tools
  google-mock \
  libgtest-dev \
# Clean up
&& apt-get clean \
&& rm -rf /var/lib/apt/lists/*
